EPPLogout (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0402.rtk.xml.EPPLogout class

### com.tucows.oxrs.epp0402.rtk.xml

# Class EPPLogout

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0402.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0402.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0402.rtk.xml.EPPLogout`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_Logout, epp_LogoutOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPLogout`
`extends EPPXMLBase`
`implements epp_Logout`

Class to represent the EPP logout from the server.

Version:
  $Revision: 1.1 $ $Date: 2003/03/21 16:35:37 $

Author:
  Daniel Manley

See Also:
  `EPPClient`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0402.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0402.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPLogout()` Default constructor.
  `EPPLogout(String xml)` Constructor with response XML string to automatically parse.

  ## Method Summary
  `void` | `fromXML(String xml)` Parses a new XML String and populates the response data member.
  `epp_LogoutRsp` | `getResponseData()` Accessor method for the logout response data.
  `void` | `setRequestData(epp_LogoutReq value)` Accessor method for the logout request data.
  `String` | `toXML()` Builds request XML from the request data.

  ### Methods inherited from class com.tucows.oxrs.epp0402.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getNode`, `getUnspecNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareUnspecElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0402.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPLogout

    public EPPLogout()

> Default constructor.

### EPPLogout

    public EPPLogout(String xml)
                throws epp_XMLException,
                       epp_Exception

> Constructor with response XML string to automatically parse.
> Parameters:
>   `xml` - The EPP Logout response XML String
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `fromXML(String)`

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses a new XML String and populates the response data member. Implemented method from org.openrtk.idl.epp0402.epp_Action interface.
> Specified by:
>   fromXML in interface epp_ActionOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `epp_Action`

### getResponseData

    public epp_LogoutRsp getResponseData()

> Accessor method for the logout response data.
> Specified by:
>   getResponseData in interface epp_LogoutOperations
> Returns:
>   value org.openrtk.idl.epp0402.epp_LogoutRsp

### setRequestData

    public void setRequestData(epp_LogoutReq value)

> Accessor method for the logout request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_LogoutOperations
> Parameters:
>   `value` - org.openrtk.idl.epp0402.epp_LogoutReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data. Implemented method from org.openrtk.idl.epp0402.epp_Action interface.
> Specified by:
>   toXML in interface epp_ActionOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `setRequestData(epp_LogoutReq)`, `epp_Action`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS